DPKG-DEPCHECK(1)

BEZEICHNUNG
dpkg-depcheck - bestimmt Pakete, die benutzt werden, um einen Befehl auszuführen.

ÜBERSICHT
dpkg-depcheck [Optionen] Befehl

BESCHREIBUNG
Dieses Programm führt den angegebenen Befehl unter strace aus, bestimmt dann die in diesem Prozess verwendeten Pakete und gibt sie aus. Die Liste kann auf verschiedene Arten, wie in den nachfolgenden Optionen beschrieben, gekürzt werden. Ein gutes Beispiel dieses Programms wäre der Befehl dpkg-depcheck -b debian/rules build, der eine gute erste Annäherung an die von einem Debian-Paket benötigte Build-Depends-Zeile geben würde. Beachten Sie jedoch, dass dies keine direkte Information über benötigte Versionen oder architekturspezifische Pakete liefert.

OPTIONEN

-a, --all
    meldet alle Pakete, die benutzt werden, um Befehl auszuführen. Dies ist das Standardverhalten. Falls es zusammen mit -b, -d oder -m verwendet wird, gibt es zusätzliche Informationen über jene Pakete, die von diesen Optionen übersprungen wurden.

-b, --build-depends
    meldet keine für den Bau wesentlichen (»build-essential«) oder wesentlichen (»essential«) benutzten Pakete oder irgendwelche ihrer (direkten oder indirekten) Abhängigkeiten.

-d, --ignore-dev-deps
    zeigt keine benutzten Pakete, die direkte Abhängigkeiten verwendeter -dev-Pakete sind. Dies impliziert -b.

-m, --min-deps
    gibt einen minimalen Satz benötigter Pakete aus und berücksichtigt direkte Abhängigkeiten. Die Verwendung von -m impliziert -d ebenso wie -b.

-C, --C-locale
    führt Befehl mit der Locale C aus.

--no-C-locale
    ändert nicht die Locale, wenn Befehl ausgeführt wird.

-l, --list-files
    meldet außerdem die Liste der Dateien, die von jedem Paket benutzt werden.

--no-list-files
    meldet nicht die Dateien, die von jedem Paket verwendet werden, hebt eine -l-Option auf.

-o, --output=DATEI
    gibt die Paketdiagnose in DATEI statt auf der Standardausgabe (Stdout) aus.

-O, --strace-output=DATEI
    schreibt die Ausgabe von strace nach DATEI, wenn Befehl nachverfolgt wird, anstatt eine temporäre Datei zu benutzen.

-I, --strace-input=DATEI
    erhält die strace-Ausgabe von DATEI anstatt vom Verfolgen von Befehl; strace muss für diese Arbeit mit den Optionen -f -q ausgeführt worden sein, damit das funktioniert.

-f, --features=LISTE
    aktiviert oder deaktiviert Funktionalitäten, die in einer durch Kommas getrennten LISTE wie folgt angegeben sind. Eine Funktionalität mit +Funktionalität oder nur Funktionalität ist aktiviert und eine mit -Funktionalität ist deaktiviert. Die derzeit bekannten Funktionalitäten sind:
    warn-local
        warnt, falls Dateien in /usr/local oder /var/local verwendet werden, ist standardmäßig aktiviert.
    discard-check-version
        verwirft execve, wenn dem Programm nur ein --version-Argument gegeben wurde; dies ist ein Behelf für einige Konfigurationsskripte, die auf Binärdateien hin prüfen, die sie nicht wirklich verwenden. Standardmäßig aktiviert.
    trace-local
        versucht außerdem Dateien zu identifizieren, auf die in /usr/local und /var/local zugegriffen wird. Üblicherweise nicht besonders nützlich, da Debian keine Dateien in diesen Verzeichnissen ablegt. Standardmäßig deaktiviert.
    catch-alternatives
        warnt beim Zugriff auf Dateien, die unter der Kontrolle des Debian-alternatives-Mechanismus stehen. Standardmäßig aktiviert.
    discard-sgml-catalogs
        verwirft den Zugriff auf SGML-Kataloge; einige SGML-Werkzeuge lesen beim Start alle registrierten Kataloge. Dateien, die auf den regulären Ausdruck /usr/share/sgml/.*\.cat passen, werden als Kataloge erkannt. Standardmäßig aktiviert.

--no-conf, --noconf
    keine Konfigurationsdateien lesen, Dies kann nur als erste auf der Befehlszeile angegebene Option benutzt werden.

-h, --help
    zeigt Aufrufinformationen und wird beendet.

-v, --version
    zeigt Versions- und Copyright-Informationen und wird beendet.

KONFIGURATIONSVARIABLEN
Die beiden Konfigurationsdateien /etc/devscripts.conf und ~/.devscripts werden in dieser Reihenfolge eingelesen, um Konfigurationsvariablen zu setzen. Um Konfigurationsdateieinstellungen außer Kraft zu setzen, können Befehlszeilenoptionen verwendet werden. Umgebungsvariablen werden zu diesem Zweck ignoriert. Die derzeit bekannte Variable ist:

DPKG_DEPCHECK_OPTIONS
    Dies sind Optionen, die vor den Befehlszeilenoptionen ausgewertet werden, zum Beispiel

    DPKG_DEPCHECK_OPTIONS="-b -f-catch-alternatives"

    was diese Optionen an dpkg-depcheck weiterreicht, bevor irgendwelche Befehlszeilenoptionen verarbeitet werden. Sie sind gut beraten, wegen den Launen der Shell-Klammersetzung, keine knifflige Klammersetzung zu verwenden!

SIEHE AUCH
dpkg(1), strace(1), devscripts.conf(5), update-alternatives(8)

KOPIEREN
Copyright 2001 Bill Allombert <ballombe@debian.org>. Änderungen Copyright 2002, 2003 Julian Gilbey <jdg@debian.org>. dpkg-depcheck ist freie Software, sie unterliegt der GNU General Public License, entweder Version 2 der Lizenz oder (nach Ihrer Wahl) irgendeiner späteren Version. Sie sind eingeladen, es zu ändern und/oder Kopien davon unter bestimmten Bedingungen weiterzugeben. Es besteht absolut keine Gewährleistung für dpkg-depcheck.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <URL:https://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de im Juli 2012 erstellt und vom deutschen Debian-Übersetzer-Team korrekturgelesen. Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket devscripts. Sie können mit dem folgenden Befehl das englische Original anzeigen »man -L C Abschnitt deutsche_Handbuchseite«.